package com.abcsz.litigationcase.controller;


import com.abcsz.litigationcase.domain.ro.LawFirmQueryRo;
import com.abcsz.litigationcase.domain.ro.LawFirmRo;
import com.abcsz.litigationcase.domain.ro.UserQueryRo;
import com.abcsz.litigationcase.domain.ro.UserRo;
import com.abcsz.litigationcase.domain.vo.LawFirmQueryVo;
import com.abcsz.litigationcase.domain.vo.PublicVo;
import com.abcsz.litigationcase.domain.vo.UseQueryVo;
import com.abcsz.litigationcase.service.LawFirmService;
import com.abcsz.litigationcase.service.UserService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 律师事务所信息 前端控制器
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@RestController
@RequestMapping("/lawFirmEntity")
public class LawFirmController {
    @Autowired
    private LawFirmService lawFirmService;

    @ApiOperation("查询事务所信息")
    @PostMapping("/query")
    public LawFirmQueryVo query(@RequestBody @Validated LawFirmQueryRo ro) {

        LawFirmQueryVo vo = lawFirmService.lawFirmQuery(ro);
        return vo;
    }

    @ApiOperation("新增事务所信息")
    @PostMapping("/insert")
    public PublicVo insert(@RequestBody @Validated LawFirmRo ro)  {

        PublicVo vo = lawFirmService.lawFirmInsert(ro);
        return vo;
    }


    @ApiOperation("修改事务所信息")
    @PostMapping("/modify")
    public PublicVo modify(@RequestBody @Validated LawFirmRo ro)  {

        PublicVo vo = lawFirmService.lawFirmModify(ro);
        return vo;
    }

}

