package com.abcsz.litigationcase.domain.ro;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "新增/修改律师事务所输入对象",description = "新增/修改律师事务所的相关信息")
public class LawFirmRo {

    @ApiModelProperty(value = "事务所名称")
    @NotNull(message = "事务所名称不能为空")
    private String lawFirmName;

    @ApiModelProperty(value = "事务所编码")
    @NotNull(message = "社会信用代码不能为空")
    private String lawFirmCode;

    @ApiModelProperty(value = "地址")
    private String lawFirmAddr;

    @ApiModelProperty(value = "电话")
    private String lawFirmTel;

    @ApiModelProperty(value = "营业时间")
    private String lawFirmTime;

    @ApiModelProperty(value = "描述")
    private String lawFirmDescripe;

    @ApiModelProperty(value = "法人")
    private String legalPerson;

    @ApiModelProperty(value = "图片")
    private String picture;

    @ApiModelProperty(value = "所属区域")
    private String region;

    private String txtHold1;

    private String txtHold2;

    @ApiModelProperty(value = "是否失效 0-正常 9-失效")
    private Integer delFlag;
}
