package com.abcsz.litigationcase.service.impl;

import com.abcsz.litigationcase.dao.entity.DataDictionaryEntity;
import com.abcsz.litigationcase.dao.mapper.DataDictionaryMapper;
import com.abcsz.litigationcase.domain.ro.DataDictionaryQueryRo;
import com.abcsz.litigationcase.domain.vo.DataDictionaryQueryVo;
import com.abcsz.litigationcase.service.DataDictionaryService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 数据字典信息 服务实现类
 * </p>
 *
 * @author shengqianlei
 * @since 2022-04-21
 */
@Slf4j
@Service
public class DataDictionaryServiceIml extends ServiceImpl<DataDictionaryMapper, DataDictionaryEntity> implements DataDictionaryService {

    @Autowired
    private DataDictionaryMapper dataDictionaryMapper;

    @Override
    public DataDictionaryQueryVo dataDictonaryQuery(DataDictionaryQueryRo ro) {
        log.info("查询数据字典信息...");
        DataDictionaryQueryVo dataDictionaryQueryVo = new DataDictionaryQueryVo();
        DataDictionaryEntity dataDictionaryEntity=null;
        try {
            QueryWrapper<DataDictionaryEntity> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("dictionary_name",ro.getDictionaryName());
            queryWrapper.eq("del_flag",0);
            dataDictionaryEntity = dataDictionaryMapper.selectOne(queryWrapper);
            if(dataDictionaryEntity==null){
                dataDictionaryQueryVo.setRetCode("Y001");
                dataDictionaryQueryVo.setRetMsg("该字典不存在，请先新增");
                log.info(dataDictionaryQueryVo.getRetCode() + "****" + dataDictionaryQueryVo.getRetMsg());
                return dataDictionaryQueryVo;
            }
        }
        catch (Exception e){
            log.error(e.getMessage() + "****" + e.getStackTrace());
            dataDictionaryQueryVo.setRetCode("X001");
            dataDictionaryQueryVo.setRetMsg("系统异常");
            log.error(dataDictionaryQueryVo.getRetCode() + "****" + dataDictionaryQueryVo.getRetMsg());
            return dataDictionaryQueryVo;
        }
        dataDictionaryQueryVo.setRetCode("0000");
        dataDictionaryQueryVo.setRetMsg("查询成功");
        dataDictionaryQueryVo.setDictionaryContent(dataDictionaryQueryVo.getDictionaryContent());
        log.info(dataDictionaryQueryVo.getRetCode() + "****" + dataDictionaryQueryVo.getRetMsg());
        return dataDictionaryQueryVo;
    }
}
